Description

History

#1 - 02/25/2013 08:58 AM - Constantin Asofiei

Conversion fails in a case like

def var ch as char.

set ch no-error.

The NO-ERROR clause seems to be at fault, as without it, conversion goes through.    

Please test with the other frame related UI statements, like DISPLAY/UPDATE.

#2 - 02/25/2013 11:04 AM - Ovidiu Maxiniuc

- Status changed from New to WIP

#3 - 02/25/2013 11:15 AM - Ovidiu Maxiniuc

- Status changed from WIP to Review

- File om_upd20130225d.zip added

- File om_upd20130225c.zip added

Looks like the N0-ERROR clause was treated as an widget in the list of parameters of the statements (SET, ASSIGN, =, DISPLAY, UPDATE, etc)

that have in theirs syntax the N0-ERROR option.

#4 - 02/25/2013 11:37 AM - Greg Shah

It is not clear to me whether we should have a section like this:

<rule>type == prog.kw_no_error

   <action>isWidget = false</action>

</rule>
instead of the current approach.  BUT, for now let's go with your implementation.

Please note that you have an extra rules/ path segment in your zip.  Please remove that and re-upload the update.  Then we will go into conversion

testing.

#5 - 02/25/2013 12:09 PM - Ovidiu Maxiniuc

- File om_upd20130225e.zip added

Added the new archive, I will remove the older, unneeded one.

I believe that isWidget is used as a flag when scanning the widgets of the statement. As long as NO-ERROR occurs after them, I believe that your

proposed solution is better.

#6 - 02/25/2013 12:09 PM - Ovidiu Maxiniuc

- File deleted (om_upd20130225c.zip)

#7 - 02/25/2013 12:11 PM - Greg Shah

But since I haven't tested that assumption (that no-error always will appear at the end), I think it is best to go with your approach.  The parser allows

us to match no-error in any location in many (all) of the statements.  I don't know if the 4GL allows it in all (or any of) those cases.

I'll report on the conversion testing soon.

#8 - 02/25/2013 02:25 PM - Greg Shah

Conversion testing has passed.  I have checked it in as bzr revision 10102.

#9 - 02/25/2013 02:27 PM - Greg Shah

- Status changed from Review to Closed

#10 - 02/26/2013 05:59 PM - Eric Faulhaber

- % Done changed from 0 to 100

#11 - 11/16/2016 10:55 AM - Greg Shah

- Target version changed from Milestone 4 to Conversion Support for Server Features

Files

om_upd20130225d.zip 600 Bytes 02/25/2013 Ovidiu Maxiniuc

om_upd20130225e.zip 31.8 KB 02/25/2013 Ovidiu Maxiniuc
